# OpalRTPEndPoint Class Reference

`#include <rtpep.h>`

Inheritance diagram for OpalRTPEndPoint:

[legend]
Collaboration diagram for OpalRTPEndPoint:
[legend]

## Protected Types

typedef std::map< WORD, LocalRtpInfo > | LocalRtpInfoMap

## Protected Attributes

LocalRtpInfoMap | m_connectionsByRtpLocalPort

## Data Structures

struct | LocalRtpInfo

## Detailed Description

Base class for endpoint types that use RTP for media transport. Currently used by H323EndPoint and SIPEndPoint

## Member Typedef Documentation

typedef std::map<WORD, LocalRtpInfo> OpalRTPEndPoint::LocalRtpInfoMap `[protected]`

## Field Documentation

LocalRtpInfoMap OpalRTPEndPoint::m_connectionsByRtpLocalPort `[protected]`

The documentation for this class was generated from the following file:

- rtpep.h